### Enumeration

# Gtk BuilderError

since: 4.0

#### Declaration

    error-domain Gtk.BuilderError

#### Description [src]

Error codes that identify various errors that can occur while using `GtkBuilder`.

Available since: 4.0

#### Members

`GTK_BUILDER_ERROR_INVALID_TYPE_FUNCTION`

  A type-func attribute didn’t name a function that returns a `GType`.

  - Value: `0`
  - Nickname: `invalid-type-function`
  - Available since: 4.0
`GTK_BUILDER_ERROR_UNHANDLED_TAG`

  The input contained a tag that `GtkBuilder` can’t handle.

  - Value: `1`
  - Nickname: `unhandled-tag`
  - Available since: 4.0
`GTK_BUILDER_ERROR_MISSING_ATTRIBUTE`

  An attribute that is required by `GtkBuilder` was missing.

  - Value: `2`
  - Nickname: `missing-attribute`
  - Available since: 4.0
`GTK_BUILDER_ERROR_INVALID_ATTRIBUTE`

  `GtkBuilder` found an attribute that it doesn’t understand.

  - Value: `3`
  - Nickname: `invalid-attribute`
  - Available since: 4.0
`GTK_BUILDER_ERROR_INVALID_TAG`

  `GtkBuilder` found a tag that it doesn’t understand.

  - Value: `4`
  - Nickname: `invalid-tag`
  - Available since: 4.0
`GTK_BUILDER_ERROR_MISSING_PROPERTY_VALUE`

  A required property value was missing.

  - Value: `5`
  - Nickname: `missing-property-value`
  - Available since: 4.0
`GTK_BUILDER_ERROR_INVALID_VALUE`

  `GtkBuilder` couldn’t parse some attribute value.

  - Value: `6`
  - Nickname: `invalid-value`
  - Available since: 4.0
`GTK_BUILDER_ERROR_VERSION_MISMATCH`

  The input file requires a newer version of GTK.

  - Value: `7`
  - Nickname: `version-mismatch`
  - Available since: 4.0
`GTK_BUILDER_ERROR_DUPLICATE_ID`

  An object id occurred twice.

  - Value: `8`
  - Nickname: `duplicate-id`
  - Available since: 4.0
`GTK_BUILDER_ERROR_OBJECT_TYPE_REFUSED`

  A specified object type is of the same type or derived from the type of the composite class being extended with builder XML.

  - Value: `9`
  - Nickname: `object-type-refused`
  - Available since: 4.0
`GTK_BUILDER_ERROR_TEMPLATE_MISMATCH`

  The wrong type was specified in a composite class’s template XML.

  - Value: `10`
  - Nickname: `template-mismatch`
  - Available since: 4.0
`GTK_BUILDER_ERROR_INVALID_PROPERTY`

  The specified property is unknown for the object class.

  - Value: `11`
  - Nickname: `invalid-property`
  - Available since: 4.0
`GTK_BUILDER_ERROR_INVALID_SIGNAL`

  The specified signal is unknown for the object class.

  - Value: `12`
  - Nickname: `invalid-signal`
  - Available since: 4.0
`GTK_BUILDER_ERROR_INVALID_ID`

  An object id is unknown.

  - Value: `13`
  - Nickname: `invalid-id`
  - Available since: 4.0
`GTK_BUILDER_ERROR_INVALID_FUNCTION`

  A function could not be found. This often happens when symbols are set to be kept private. Compiling code with -rdynamic or using the `gmodule-export-2.0` pkgconfig module can fix this problem.

  - Value: `14`
  - Nickname: `invalid-function`
  - Available since: 4.0

#### Type functions

###### gtk_builder_error_quark

No description available.

since: 4.0